Stop Sendflow Execution
curl --request POST \
--url https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/stop/{request_id} \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/stop/{request_id}"
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/stop/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Sendflow execution stopped successfully"
}
{
"success": false,
"message": "Request ID not found or already completed"
}
Sendflow
Stop Sendflow Execution
Stop a running Sendflow workflow execution
POST
/
api
/
ingest
/
sendflow
/
v1
/
{sendflow_id}
/
stop
/
{request_id}
Stop Sendflow Execution
Description
This endpoint allows you to stop a running Sendflow workflow execution using the request ID returned from the trigger endpoint.Headers
string
required
Your API key for authentication.
string
required
Your workspace ID for authentication.
Path Parameters
string
required
The unique identifier of the Sendflow workflow.
string
required
The unique identifier of the workflow execution request to stop. This is returned from the trigger endpoint.
Response
boolean
Indicates whether the call was successful. true if successful, false if not.
string
Success or error response message.
{
"success": true,
"message": "Sendflow execution stopped successfully"
}
{
"success": false,
"message": "Request ID not found or already completed"
}
⌘I